import React from 'react';
import Svg, {G, Path} from 'react-native-svg';
const IconProfile = props => {
  const {fill, size} = props;
  return (
    <Svg
      xmlns="http://www.w3.org/2000/svg"
      width={size || 24}
      height={size || 24}
      {...props}>
      <G fill={fill} data-name="vuesax/outline/award">
        <Path d="M12 22.747a3.442 3.442 0 0 1-1.67-.41l-4.73-2.73c-1.96-1.317-2.09-1.56-2.09-3.627v-4.96c0-2.07.13-2.31 2.05-3.6l4.78-2.76a3.567 3.567 0 0 1 3.33 0l4.73 2.73c1.96 1.32 2.09 1.56 2.09 3.63v4.96c0 2.07-.13 2.31-2.05 3.6l-4.78 2.76a3.3 3.3 0 0 1-1.66.407Zm0-17a1.9 1.9 0 0 0-.92.21L6.35 8.689c-1.34.91-1.34.91-1.34 2.33v4.96c0 1.42 0 1.42 1.39 2.36l4.69 2.7a2.1 2.1 0 0 0 1.83 0l4.73-2.73c1.34-.91 1.34-.91 1.34-2.33V11.02c0-1.42 0-1.42-1.39-2.36l-4.69-2.7a1.828 1.828 0 0 0-.91-.213Z" />
        <Path
          data-name="Vector"
          d="M17.5 8.38a.755.755 0 0 1-.75-.75V5c0-1.58-.67-2.25-2.25-2.25h-5c-1.58 0-2.25.67-2.25 2.25v2.56a.75.75 0 1 1-1.5 0V5A3.381 3.381 0 0 1 9.5 1.25h5A3.381 3.381 0 0 1 18.25 5v2.63a.755.755 0 0 1-.75.75ZM13.63 17.63a1.712 1.712 0 0 1-.65-.13l-.98-.38-.98.39a1.518 1.518 0 0 1-1.47-.13 1.534 1.534 0 0 1-.58-1.36l.06-1.05-.67-.81a1.523 1.523 0 0 1-.32-1.45 1.509 1.509 0 0 1 1.11-.97l1.02-.26.57-.89a1.471 1.471 0 0 1 2.53 0l.57.89 1.02.26a1.509 1.509 0 0 1 1.11.97 1.536 1.536 0 0 1-.33 1.44l-.67.81.06 1.05a1.545 1.545 0 0 1-.58 1.36 1.4 1.4 0 0 1-.82.26ZM9.52 13.2l.67.81a1.6 1.6 0 0 1 .34 1.05l-.06 1.05.98-.39a1.6 1.6 0 0 1 1.1 0l.98.39-.06-1.05a1.614 1.614 0 0 1 .34-1.05l.67-.81-1.02-.26a1.649 1.649 0 0 1-.89-.64l-.56-.88-.57.88a1.617 1.617 0 0 1-.89.65Z"
        />
      </G>
    </Svg>
  );
};

export default IconProfile;
